<?php
/**
 * Plugin name: Temporary Fix - Aggregator Import Offset
 * Description: Attempts to convert events imported via Event Aggregator to use the local timezone (assumes the source events use UTC).
 * Version:     2017.04.20
 * License:     GPLv3
 * Author:      Modern Tribe, Inc.
 */

function temp_fix_72634( $data ) {
	try {
		$start = new DateTime(
			$data['EventStartDate'] . ' ' . $data['EventStartHour'] . ':' . $data['EventStartMinute'] . ':00'
		);

		$end = new DateTime(
			$data['EventEndDate'] . ' ' . $data['EventEndHour'] . ':' . $data['EventEndMinute'] . ':00'
		);

		$local_timezone = new DateTimeZone( Tribe__Timezones::wp_timezone_string() );
		$start->setTimezone( $local_timezone );
		$end->setTimeZone( $local_timezone );

		$data['EventStartDate'] = $start->format( 'Y-m-d' );
		$data['EventStartHour'] = $start->format( 'H' );
		$data['EventStartMinute'] = $start->format( 'i' );

		$data['EventEndDate'] = $end->format( 'Y-m-d' );
		$data['EventEndHour'] = $end->format( 'H' );
		$data['EventEndMinute'] = $end->format( 'i' );
	}
	catch ( Exception $e ) {}

	return $data;
}
add_filter( 'tribe_aggregator_translate_service_data', 'temp_fix_72634' );